curl --request GET \
--url https://api.gemrate.com/v1/specs/{grader}/{spec_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gemrate.com/v1/specs/{grader}/{spec_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gemrate.com/v1/specs/{grader}/{spec_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gemrate.com/v1/specs/{grader}/{spec_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gemrate.com/v1/specs/{grader}/{spec_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gemrate.com/v1/specs/{grader}/{spec_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gemrate.com/v1/specs/{grader}/{spec_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"description": "1986 Fleer Michael Jordan Base 57",
"universal_gemrate_id": "25b4432f12a5d6ec29a6f00490200416d5dfa242",
"gemrate_id": "25b4432f12a5d6ec29a6f00490200416d5dfa242",
"is_universal_match": true,
"gemrate_url": "https://gemrate.com/card/25b4432f12a5d6ec29a6f00490200416d5dfa242",
"grader": "psa",
"spec_id": "299576"
},
"meta": {
"request_id": "local"
}
}{
"error": {
"code": "processing",
"message": "Still linking this spec to a card; retry shortly."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "invalid_grader",
"message": "Unknown grader 'foo'."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "invalid_api_key",
"message": "The API key is missing, disabled, or invalid. Pass a valid key in the x-api-key header."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "forbidden",
"message": "Your key does not have access to this resource."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "card_not_found",
"message": "No card maps to the given spec."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "quota_exceeded",
"message": "You have exceeded your quota for this resource."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "internal_error",
"message": "Something went wrong."
},
"meta": {
"request_id": "req_abc123"
}
}Spec lookup
A “spec” is a PSA-only identifier of a catalog entry for a card. This endpoint
resolves a spec to the card it refers to and returns the resolved grader/spec_id
followed by the card’s identity.
For acquiring population data from a Spec ID — use Get population for a spec.
If the spec is known but its card mapping is still being built, you’ll get a 202 — retry shortly.
curl --request GET \
--url https://api.gemrate.com/v1/specs/{grader}/{spec_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gemrate.com/v1/specs/{grader}/{spec_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gemrate.com/v1/specs/{grader}/{spec_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gemrate.com/v1/specs/{grader}/{spec_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gemrate.com/v1/specs/{grader}/{spec_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gemrate.com/v1/specs/{grader}/{spec_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gemrate.com/v1/specs/{grader}/{spec_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"description": "1986 Fleer Michael Jordan Base 57",
"universal_gemrate_id": "25b4432f12a5d6ec29a6f00490200416d5dfa242",
"gemrate_id": "25b4432f12a5d6ec29a6f00490200416d5dfa242",
"is_universal_match": true,
"gemrate_url": "https://gemrate.com/card/25b4432f12a5d6ec29a6f00490200416d5dfa242",
"grader": "psa",
"spec_id": "299576"
},
"meta": {
"request_id": "local"
}
}{
"error": {
"code": "processing",
"message": "Still linking this spec to a card; retry shortly."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "invalid_grader",
"message": "Unknown grader 'foo'."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "invalid_api_key",
"message": "The API key is missing, disabled, or invalid. Pass a valid key in the x-api-key header."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "forbidden",
"message": "Your key does not have access to this resource."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "card_not_found",
"message": "No card maps to the given spec."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "quota_exceeded",
"message": "You have exceeded your quota for this resource."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "internal_error",
"message": "Something went wrong."
},
"meta": {
"request_id": "req_abc123"
}
}Authorizations
Path Parameters
Only psa is supported for spec lookups.
psa "psa"
The PSA Spec ID
"299576"
Query Parameters
When true, adds a parsed_description object that breaks the card's description into its catalog components for each grader (category, year, set_name, name, card_number, parallel, subset). Must be true or false; any other value returns 400 invalid_parameter.
Response
The card the spec maps to (led by the resolved grader/spec_id).